body {
    color: #1a1a1a;
}
.dialogbox .modal-dialog .modal-content {
    max-width: 800px;
    margin: auto;
    max-height: 800px;
    overflow: auto;
    border: 0;
    border-radius: 16px;
}

body.dark-mode-active .form-group.boxed .form-control,
body.dark-mode-active .form-group.boxed .custom-select {
    color: #FFFFFF;
    background: #1B283B;
    border-color: #32496a;
}

body.dark-mode-active .fc-unthemed td.fc-today {
    background: #000000;
}

body.dark-mode-active .fc-ltr .fc-axis {
    text-align: right;
    background-color: #222d;
}

body.dark-mode-active .fc-day-header {

    color: #FFFFFF;
    background: #1B283B;
    border-color: #32496a;
}

#myschedule h2 {
    font-size: 15px;
}

.form-check .form-check-label:after {
    border-color: #807f7f;
}

#btn_add_item {
    background: #1B283B;
    border-color: #32496a;
    color: whitesmoke;
}

#loading_wiringchecklist {
    left: -50px;
    position: relative;
    margin-top: 50vh !important;
    margin-left: 50vw;
    top: -50px;
    /* font-size: 200px; */
    width: 100px;
    height: 100px;
}

body.dark-mode-active #save_button {
    position: fixed;
    top: 129px;
    right: 10px;
    border: 1px solid #84a2bd;
    padding: 5px;
    font-size: 38px;
    background-color: #23344c;
    display: none;
    cursor: pointer;
}

#save_button {
    position: fixed;
    top: 129px;
    right: 10px;
    border: 1px solid #586d7f;
    padding: 5px;
    font-size: 38px;
    background-color: #f0f0f0;
    color: #586d7f;
    display: none;
    cursor: pointer;
}

body.dark-mode-active .dropzone {
    min-height: 150px;
    background-color: rgba(27, 40, 59, 0.2);
    border-color: #1B283B;
    padding: 20px 20px;
}

.dropzone {
    min-height: 150px;
    background-color: rgba(192, 192, 192, 0.2);
    border-color: #d3d3d3;
    padding: 20px 20px;
    color: #5a5a5a;
}

body.dark-mode-active #uploadlabel {
    color: #586d7f;
}

body.dark-mode-active .data_span {
    color: #FFFFFF;
    background: #1B283B;
    border-color: #1B283B;
    display: block;
    width: 100%;
    padding: 0.375 rem 0.75 rem;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    border: 1 px solid #ced4da;
    border-radius: 0.25 rem;
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
    padding: 10px;
    border-radius: 5px;
    border: 1px solid #1B283B;
}

#uploadlabel ion-icon {
    --ionicon-stroke-width: 32px;
    font-size: 48px;
    color: #586d7f;
}

.dropzone .dz-preview.dz-image-preview {
    background: none !important;

}

.dropzone .dz-preview .dz-image {
    border-radius: 0px !important;
}

.dz-remove {
    text-align: left !important;
}

.dz-message {
    display: block;
    font-size: 15px;
    color: #A1A1A2;
    font-weight: 500;

    align-items: center;
    justify-content: center;
    padding: 10px 16px;
    width: 100%;
    text-align: center;
    border-radius: 0;
}

.row {
    --bs-gutter-x: 1.3rem;
    --bs-gutter-y: 0;
}

.stepper-sm .stepper-button {
    height: 30px;
    width: 30px;
    font-size: 17px;
}

.padding-left-10 {
    padding-left: 10px;
}

.paddingLeft50 {
    padding-left: 20px;
}

.stepper-sm {
    height: 30px;
    width: 100px;
    min-width: 80px;
}

.tickettext {
    font-size: 12px;
    overflow: hidden;
    max-height: 51px;
}

.stepper-sm .form-control {
    height: 30px;
    width: 40px;
    font-size: 15px;
}

.wire_qty {
    color: #141515 !important;
}

.wire_qty_container {
    float: right;
    display: none;
}

body.dark-mode-active .wire_qty {
    color: #d1d1d1 !important;
}

.section {
    padding: 0px 10px;
}

body.dark-mode-active {
    background: #000000 !important;
    color: #d6d9db;
}

.form-group.boxed {
    margin: 0;
    padding: 0px 0;
}

body.dark-mode-active input[type=date] {
    color: #FFFFFF;
    background: #1B283B;
    border-color: #1B283B;
}

body.dark-mode-active input[type=date]::-webkit-calendar-picker-indicator {
    filter: invert(1);
}

body.dark-mode-active .nav-tabs.capsuled {
    background: rgb(0 0 0 / 40%);
}

body.dark-mode-active .extraHeader {
    background: #363636;
    border-bottom-color: #1B283B;
}

body.dark-mode-active .form-check .form-check-label:after {
    border-color: #9db3d3;
}

#walkthrough_container .form-check .form-check-label:before {

    width: 28px;
    height: 28px;
}

#walkthrough_container .border-bottom {
    border-bottom: 1px solid #dee2e663 !important;
}

#walkthrough_container .form-check .form-check-label:after {

    width: 28px;
    height: 28px;

}

#walkthrough_container .form-check .form-check-label {
    cursor: pointer;
    position: relative;
    /* min-height: 20px; */
    padding: 0px 0 0 36px;
    /* line-height: 1.7em; */
    color: #141515;
    margin-top: 5px;
    margin-bottom: 5px;
}

body.dark-mode-active #walkthrough_container .form-check .form-check-label {
    cursor: pointer;
    position: relative;
    /* min-height: 20px; */
    padding: 0px 0 0 36px;
    /* line-height: 1.7em; */
    color: #e2e2e2;
    margin-top: 5px;
    margin-bottom: 5px;
}

.otherTextbox {
    display: none;
    margin-top: 4px;
}

.login_header {
    height: 56px;
    width: 100%;
    background-color: rgb(44, 44, 44);
    text-align: center;
    padding-top: 18px;
    color: #FFF !important;
}

.row {
    padding: 10px;
}

.row0 {
    background-color: #ebebeb;
}

.row0dark {
    background: rgba(27, 40, 59, 0.5) !important;
    color: #dfdfdf;
    border-color: #000 !important;
}

.row1dark {
    background: #000 !important;
    color: #dfdfdf;
    border-color: #000 !important;
}

.appHeader .pageTitle {
    opacity: 1 !important;
}

#timeclock_body td {
    text-align: left;
    padding: 5px;

}

#timeclock_body th {
    text-align: left;
    padding: 5px;

}

#timeclock_refresh_button {
    position: absolute;
    right: 60px;
    color: white;
    font-size: 20px;
    top: 18px;
}

#timeclock_body table {
    margin: 0 auto;
}

.offcanvas-close {
    color: black !important;
}

.dark-mode-active .offcanvas-close {
    color: white !important;
}

.dark-mode-active .pin_button_box button {
    max-width: 80px;
    max-height: 80px;
    font-size: 25px;
    margin-bottom: 40px !important;
    color: #e1e1e1;
    width: 25vw;
    height: 25vh;
}

.dark-mode-active .pin_button_box button:active {
    background-color: blue !important;
    color: #e1e1e1 !important;
    border-color: #FFF !important;
}

.dark-mode-active .pin_button_box button:hover {
    background-color: black !important;
    color: #e1e1e1 !important;
}

#pinsheildicon {
    color: black;
}

.offcanvas-header {
    border-top: 1px solid #d3d3d3;
}

#timeclock_box {
    color: black;
}

.dark-mode-active #timeclock_box {
    color: white;
}

.dark-mode-active .offcanvas-header {
    background-color: #000;
    border-top: 1px solid #424242;
}

.dark-mode-active #pinsheildicon {
    color: white;
}

.pin_button_box button:hover {
    background-color: white !important;
    color: #272727 !important;

}

.pin_button_box button:active {
    background-color: rgb(100, 133, 223) !important;
    color: #ffffff !important;
    border-color: rgb(100, 133, 223) !important;
}

.pin_button_box button {
    width: 85px;
    height: 90px;
    font-size: 25px;
    margin-bottom: 40px !important;
    color: #292929;
}

.profileBox {
    background-color: #FFF;
    box-shadow: none;
    border-bottom: 1px solid #e1e1e1;
}

body.dark-mode-active .sidebar-buttons {
    background: #000000;
    border-top: 1px solid #000000;
}

body.dark-mode-active .profileBox {
    background-color: #000;
    box-shadow: none;
    border-bottom: 1px solid #000;
}

.profileBox .image-wrapper .imaged {
    width: 42px;
    height: 42px;
    border: 0px solid #FFF;
    box-shadow: none;
}

body.dark-mode-active .profileBox .image-wrapper .imaged {
    width: 42px;
    height: 42px;
    border: 0px solid #FFF;
    box-shadow: none;
}


.appBottomMenu .item .col {
    color: #FFF !important
}

body.dark-mode-active .appBottomMenu {
    background: #2c2c2c;
    border-top-color: #1B283B;
}

.appHeader.scrolled.bg-primary .headerButton {
    color: #FFF;
}

.appHeader {
    background: none !important;
    background-color: rgb(44, 44, 44) !important;
}

.appHeader.scrolled.bg-primary {
    background: none !important;
    background-color: rgb(44, 44, 44) !important;
}

.login_header h4 {
    color: #FFF !important;
}

/* Change the white to any color */

#loginboxmain input:-webkit-autofill,
#loginboxmain input:-webkit-autofill:hover,
#loginboxmain input:-webkit-autofill:focus,
#loginboxmain input:-webkit-autofill:active {
    -webkit-box-shadow: 0 0 0px 100px rgb(255, 255, 255) inset;
    color: rgb(36, 36, 36);
    font-size: 14px;
    -webkit-text-fill-color: rgb(34, 34, 34) !important;
}

.dark-mode-active #loginboxmain input:-webkit-autofill,
.dark-mode-active #loginboxmain input:-webkit-autofill:hover,
.dark-mode-active #loginboxmain input:-webkit-autofill:focus,
.dark-mode-active #loginboxmain input:-webkit-autofill:active {
    -webkit-box-shadow: 0 0 0px 100px #000 inset;
    color: #FFF;
    font-size: 14px;
    -webkit-text-fill-color: #FFF !important;
}

body.dark-mode-active .offcanvas {
    background: #1a1a1a;
}

body.dark-mode-active .ticklist_city {
    margin-right: 10px;
    font-size: 14px;
    color: #dadde9;
}

.ticklist_city {
    margin-right: 10px;
    font-size: 14px;
    color: #242424;
}

.note-editor.note-airframe,
.note-editor.note-frame {
    border: 1px solid #626262;
    margin-top: 10px;
}


.note-toolbar {
    background-color: #1a1a1a !important;
}

.item_icon {
    position: absolute;
    right: -5px;
    margin-top: -34px;
    background-color: #626262;
    padding: 5px;
    font-size: 22px;
    border: 1px solid #efefef;
    color: white;
    border-radius: 6px;
    top: 50%;
    opacity: .8;
}

.vis_icon {
    position: absolute;
    right: -5px;
    margin-top: 3px;
    padding: 5px;
    font-size: 22px;
    border: 1px solid #ffffff;
    top: 50%;
    opacity: .8;
    border-radius: 4px;
    color: #FFF;
}

#ticket_note {
    border: 1px solid #444444;
    padding: 10px;
    overflow: auto;
    margin-top: 10px;
    font-size: 14px;
    border-radius: 6px;
    height: 500px;
}

.btn-secondary:hover,
.btn-secondary:focus,
.btn-secondary:active,
.btn-secondary.active {
    background: #565656 !important;
    border-color: #333335 !important;
}

.nav-link i {
    float: left;
    margin-left: 5px;
}

.text_lighter {
    color: #93a4f9;
}

.ticket_details_button {
    right: 10px;
    right: 10px;
    position: fixed;
    top: 8px;
    z-index: 999;
}

.timeline .content .text {
    font-size: 13px;
    line-height: 1.4em;
    margin-right: 40px;
    overflow-y: hidden;
    padding-right: 0px;
}

.appBottomMenu {
    background: #1a1a1a;
}

.item_staff_name {
    top: 8px;
    position: relative;
    border-top: 1px solid #4a4a4a;
    padding-top: 3px;
}

.timeline .item {
    position: relative;
    margin-top: 0px;
    border-bottom: 1px solid #cdcdcd;
    padding-bottom: 25px;
    padding-top: 25px;
    margin-bottom: 0px;

}

body.dark-mode-active .timeline .item {
    position: relative;
    margin-top: 0px;
    border-bottom: 1px solid #242426;
    padding-bottom: 25px;
    padding-top: 0px;
    margin-bottom: 0px;

}

#ticket_client .row {
    border-bottom: 1px solid #e1e1e1
}

body.dark-mode-active #ticket_client {
    background-color: rgb(24, 24, 24) !important;
}

body.dark-mode-active #ticket_client .row {
    border-bottom: 1px solid #303030
}

body.dark-mode-active #ticket_client_contact,
body.dark-mode-active #ticket_client_recurring {
    background-color: #000;
}

#ticket_client_contact,
#ticket_client_recurring {
    background-color: #FFF;
}

.timeline .dotimg {
    width: 30px;
    height: 30px;
    border-radius: 100%;
    position: absolute;
    left: -15px;
    top: 50%;
    margin-top: -15px;
    z-index: 10;
    border: 2px solid #8d8d8d;

}

body.dark-mode-active .timeline .dotimg {
    width: 30px;
    height: 30px;
    border-radius: 100%;
    position: absolute;
    left: -15px;
    top: 50%;
    margin-top: -15px;
    z-index: 10;
    border: 3px solid #1d2b40;

}

/* Tickets list */
.tickettext {
    font-size: 12px;
    overflow: hidden;
    max-height: 100px;

}

body.dark-mode-active .whitetexttable td,
body.dark-mode-active .whitetexttable th {
    color: #FFF !important;
    font-weight: 100;
}

body.dark-mode-active .jqx-chart-axis-text,
body.dark-mode-active .jqx-chart-label-text,
body.dark-mode-active .jqx-chart-tooltip-text,
body.dark-mode-active .jqx-chart-legend-text {
    fill: #fafafa;
    color: #fafafa;
    font-size: 12px;
    font-family: Verdana;
}

body.dark-mode-active .section-title-dash {
    border-top: 1px solid #2c2c2c;
    border-bottom: 1px solid #2c2c2c;
    background-color: #0e0e0e;
    padding: 5px;
    padding-left: 10px;
    color: #d4d6dd;
    margin-top: 10px;
}

.section-title-dash {
    border-top: 1px solid #c5c5c5;
    border-bottom: 1px solid #c5c5c5;
    background-color: #d8d8d8;
    padding: 5px;
    padding-left: 10px;
    color: rgb(37, 37, 37);
    margin-top: 10px;
}

body.dark-mode-active .jqx-chart-axis-description {
    fill: #fafafa;
    color: #fafafa;
    font-size: 12px;
    font-family: Verdana;
}

body.dark-mode-active .jqx-chart-title-text {
    fill: #fafafa;
    color: #fafafa;
    font-size: 14px;
    font-weight: bold;
    font-family: Verdana;
}

body.dark-mode-active .jqx-chart-title-description {
    fill: #fafafa;
    color: #fafafa;
    font-size: 13px;
    font-weight: normal;
    font-family: Verdana;
}

#sched_refresh_button {
    position: fixed;
    top: 8px;
    right: 8px;
    z-index: 999;
    background: #3f4042 !important;
    color: #ffffff !important;
    width: 45px;
    text-align: center;
    height: 40px;
    padding: 0px;
    border-radius: 3px;
    border: 1px solid #727272;
    padding-top: 7px;
    font-size: 22px;
}


#inv_filter_button {
    position: fixed;
    top: 8px;
    right: 8px;
    z-index: 999;
    background: #3f4042 !important;

    color: #ffffff !important;
    width: 45px;
    text-align: center;
    height: 40px;
    padding: 0px;
    border-radius: 3px;
    border: 1px solid #727272;
}

#edit_inv_div .row {
    padding: 5px;
    font-size: 13px !important;
}

#edit_inv_div input[type="text"] {
    font-size: 13px !important;
}

.inv_edit_desc {
    border-bottom: 1px solid #585858 !important;
    border-top: 1px solid #585858 !important;
    border-radius: 3px;
    padding-top: 5px;
    font-size: 12px;

}

#inv_search_keyword_mag_icon {
    position: absolute;
    top: 9px;
    left: 7px;
    font-size: 24px;
}

#inv_search_keyword {
    padding-left: 40px;
}

#inv_search_keyword_clearicon {
    position: absolute;
    top: 9px;
    right: 7px;
    font-size: 24px;
}

#inv_filter_button i {
    font-size: 22px;
    top: 9px;
    position: relative;
}

.inv_qty {

    font-size: 18px;
    margin-top: 10px;
    padding-top: 10px;
    position: relative;
    display: block;
}

.searchkeyfound {
    background-color: #fff48e;
    border-radius: 4px;
    color: black;
}

body.modal-open {
    overflow: visible !important;
    position: inherit !important;
}

body.dark-mode-active .tickettext {
    color: #c3c3c3;
}

#tickets_search_icon {
    position: fixed;
    right: 15px;
    top: 19px;
    color: white !important;
    width: 20px;
    font-size: 20px;
    z-index: 999;
    cursor: pointer;
}

.ticketblock {
    margin: 6px;
    border-radius: 8px;
    border: 1px solid #e9e9e9;
    background-color: #FFF;
    position: relative;
    margin-top: 10px;
}

.inv_price {
    color: #a7a7a7;
}

body.dark-mode-active .ticketblock {
    margin: 6px;
    border-radius: 4px;
    border: 1px solid #5e5656;
    background-color: #000;
    position: relative;
    margin-top: 10px;
}

body.dark-mode-active .ticket_calendar_icon {
    margin-left: 6px;
    color: rgb(174 174 215);
    font-size: 20px;
    top: 4px;
    position: relative;
}

body.dark-mode-active #loader {
    background: #00000078 !important;
}

#footer_menu .active {
    background-color: #23344c !important;
    color: #FFF !important;
    border-radius: 3px;
    border: 1px solid #344a6a;
}

.note-editing-area {
    background-color: #FFF;
}

#loading_ticket_note {
    margin-top: 50%;
    position: fixed;
    margin-left: 50vw;
    padding-left: -50px;
    left: -20px;
    width: 40px;
    height: 40px;
}

.j_loader {
    margin-top: 50vh;
    position: fixed;
    margin-left: 50vw;
    padding-left: -50px;
    left: -20px;
    width: 40px;
    top: -40px;
    height: 40px;
    z-index: 999;
}

#loading_ticket_items {
    margin-top: 50vh;
    position: fixed;
    margin-left: 50vw;
    padding-left: -50px;
    left: -20px;
    width: 40px;
    height: 40px;
    top: -20px;
}

.ticket_note_edit_icon {
    position: absolute;
    float: right;
    top: 59px;
    right: 6px;
    font-size: 22px;
    background-color: #e9e9e9;
    padding: 7px;
    border: 1px solid #b5b5b5;
    color: #545454;
}

body.dark-mode-active .ticket_note_edit_icon {
    position: absolute;
    float: right;
    top: 59px;
    right: 6px;
    font-size: 22px;
    background-color: #1b283b;
    padding: 7px;
    border: 1px solid #818181;
    color: #b3b3b3;
}


.ticket_calendar_icon {
    margin-left: 6px;
    color: #5351bb;
    font-size: 20px;
    top: 4px;
    position: relative;
}

body.dark-mode-active .ticketnumber {
    text-align: right;
    color: rgb(200, 207, 255);
}

.ticketinfo {
    text-align: right;
    font-size: 12px;
}

.tickrowinsidetop {
    padding-bottom: 2px;
}

.ticketrowinsidebottom {
    padding-top: 2px;
}

.ticketwindowcontent {
    background-color: #e9e9e9;
}

body.dark-mode-active .ticketwindowcontent {
    background-color: rgb(24, 24, 24) !important;
}

.ticketnumber {
    text-align: right;
    color: #0e127e;
}

#ticket_client_submenu li {
    font-size: 12px !important;

}

#ticket_client_submenu li a {
    font-size: 12px !important;
    padding: 0px !important;
    height: 40px;
}

#ticket_client_submenu .nav-tabs.lined .nav-item .nav-link i.bi,
.nav-tabs.lined .nav-item .nav-link i.icon,
.nav-tabs.lined .nav-item .nav-link ion-icon {
    margin-left: 0px !important;
    font-size: 12px !important;
}

.nav-tabs.lined .nav-item .nav-link {
    color: #000;
}

body.dark-mode-active #ticket_client_submenu {
    margin-top: -8px;
    border-bottom: 1px solid #424242;
    background-color: #1c1c1c;
    position: fixed;
    z-index: 20;
}

#ticket_client_submenu {
    margin-top: -8px;
    border-bottom: 1px solid #424242;
    background-color: #c4c4c4;
    position: fixed;
    color: #000;
    z-index: 20;
}

body.dark-mode-active #ticket_client_submenu .nav-link.active {
    background-color: #23344c !important;
    color: white !important;
    border-bottom: 2px solid #FFF !important;
}

#ticket_client_submenu .nav-link.active {
    background-color: #23344c !important;
    color: white !important;
    border-bottom: 2px solid #000 !important;
}

.nav-tabs.lined .nav-item .nav-link i.bi,
.nav-tabs.lined .nav-item .nav-link i.icon,
.nav-tabs.lined .nav-item .nav-link ion-icon {
    margin-right: 8px;
    margin-left: -5px;
    line-height: 1em;
    font-size: 18px;
}

body.dark-mode-active #ticket_recurring_products td {
    color: #d5d5d5;
    font-weight: 100;
}

#ticket_recurring_products td {
    color: #272727;
    font-weight: 100;
}

#inventory_items .text-muted {
    color: rgb(0 18 149) !important;
}

#inventory_items .inv_price {
    color: rgb(0 18 149) !important;
}

body.dark-mode-active #inventory_items .text-muted {
    color: rgb(150, 150, 150) !important;
}

body.dark-mode-active #inventory_items .inv_price {
    color: rgb(200, 207, 255) !important;
}

.fc-unthemed th,
.fc-unthemed td,
.fc-unthemed thead,
.fc-unthemed tbody,
.fc-unthemed .fc-divider,
.fc-unthemed .fc-row,
.fc-unthemed .fc-content,
.fc-unthemed .fc-popover,
.fc-unthemed .fc-list-view,
.fc-unthemed .fc-list-heading td {
    border-color: #dddddd47;
}
#invjsondata,#custjsondata {
    width: 90%;
    height: 500px;
    position: absolute;
    border: 2px solid rgb(129, 129, 129);
    z-index: 999;
    top: 118px;
    left: 10px;
}